import os

# Project Roots
ROOT_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
RAW_DIR = os.path.join(ROOT_DIR, 'raw')
OUTPUTS_DIR = os.path.join(ROOT_DIR, 'outputs')
SCHEDULES_DIR = os.path.join(OUTPUTS_DIR, 'schedules')

# File Paths
CSV_FILEPATH = os.path.join(RAW_DIR, "SISCO_AEREA_01-01-2025_A_31-12-2025_1911251714Z.csv")
JSON_AEROPORTOS = os.path.join(RAW_DIR, "airports.json")
JSON_EMISSORES = os.path.join(RAW_DIR, "emissores.json")
DB_PATH = os.path.join(SCHEDULES_DIR, "demands.db")
RESULTS_FILE = os.path.join(SCHEDULES_DIR, "resultado_otimizacao_alocacoes.csv")
COST_FILE = os.path.join(SCHEDULES_DIR, "optimized_cost.txt")

AIRCRAFT_CONFIG = {
    'C-97':  {'cap': 30,  'range': 1600,  'daily_fuel': 240},
    'C-95M': {'cap': 12,  'range': 1900,  'daily_fuel': 180},
    'C-105': {'cap': 73,  'range': 5000,  'daily_fuel': 180},
    'KC-390':{'cap': 80,  'range': 6000,  'daily_fuel': 180},
    'KC-30': {'cap': 238, 'range': 14500, 'daily_fuel': 600},
    'C-99A': {'cap': 50,  'range': 2200,  'daily_fuel': 180},
    'C-98':  {'cap': 10,  'range': 2400,  'daily_fuel': 180},
    'C-98A': {'cap': 14,  'range': 2400,  'daily_fuel': 180}
}
